Subject: Re: [-next] cpu cache info in drivers base?

From: Greg Kroah-Hartman <[email-masked]>
Date: Mon, 24 Nov 2014 09:33:57 -0800

On Mon, Nov 24, 2014 at 04:06:19PM +0000, Sudeep Holla wrote:
> Hi Heiko,
> 
> On 24/11/14 15:00, Heiko Carstens wrote:
> >Hi there,
> >
> >I'm just wondering what the point of the current cpu cache info
> >within drivers/base is?
> >If I startup linux-next (as of today) all I get is an error message
> >"error detecting cacheinfo..cpu0".
> 
> That's correct, I did post a patch[1] to suppress that given not all
> architectures might add support.
> 
> >Which naturally comes from:
> >
> >int __weak init_cache_level(unsigned int cpu)
> >{
> >	return -ENOENT;
> >}
> >
> >Given that there is no implementation without __weak I'm wondering
> >what the point is? Also it looks like no architecture has been
> >converted to the new infrastructure, even though such patches have
> >been posted in the past?
> 
> Yes, I asked Greg to hold off on the architecture patches for next
> versions as there may be conflicts(though we can have solve it using
> a common baseline, but I thought it was too late to try that). Also
> I have not got testing on few other architectures(ppc, ia64, amd). I
> will post those patches individually on respective arch lists and
> chase after the v3.19-rc1 release. Is that OK ?

Sorry for the delay, that patch is now applied.

greg k-h